Lấy thông tin chi tiết cấu hình của một mẫu tin ZNS (Template) cụ thể.


Request Information

Link Request API (METHOD POST):

https://api.abenla.com/zbs/template/detail


Information Request

URI Parameters

None.

Request Body Parameters

Name Description Type
zalo_template_id

ID của template

string
login_name

Tên tài khoản đăng nhập hoặc định danh người dùng API.

string
sign

Chữ ký bảo mật (hash MD5) dùng để xác thực tính toàn vẹn của yêu cầu.

View More
string

Request Formats

application/json, text/json, text/html

Sample:
{
  "zalo_template_id": "1234567",
  "login_name": "ABL1234",
  "sign": "691a5659131a04e0a831472e7a4ba33b"
}

Response Information

Resource Description

Name Description Type
data

Dữ liệu chi tiết cấu hình template.

GetTemplateDetailDataResponse
code

Mã lỗi trả về từ hệ thống (enum).
Error code returned from the system (enum type).

ErrorCode
message

Thông điệp lỗi hoặc mô tả phản hồi.
Error message or response description.

string

Response Formats

application/json, text/json, text/html

Sample:
{
  "data": {
    "zalo_template_id": "1234567",
    "template_name": "",
    "status": "ENABLE",
    "preview_url": "",
    "template_quality": "",
    "template_tag": "",
    "reason": "",
    "timeout": "2026-04-12T15:09:08.7467897+07:00",
    "list_params": [
      {
        "name": "ten_khach_hang",
        "require": true,
        "type": "STRING",
        "max_length": 50,
        "min_length": 0,
        "accept_null": false
      },
      {
        "name": "thoi_gian",
        "require": true,
        "type": "STRING",
        "max_length": 30,
        "min_length": 0,
        "accept_null": false
      },
      {
        "name": "ma_khach_hang",
        "require": true,
        "type": "string",
        "max_length": 30,
        "min_length": 0,
        "accept_null": false
      }
    ],
    "list_buttons": [
      {
        "type": 3,
        "title": "Quan tâm OA",
        "content": "https://oa.zalo.me/11220101234567890"
      },
      {
        "type": 3,
        "title": "Hotline",
        "content": "0123456789"
      }
    ]
  },
  "code": 106,
  "message": "Success"
}